Building applications on Linux using a new gcc version may result in linker errors

This article is relevant for all .Net products

The reason is a ABI break between compiler versions. Please compile the test and sample applications with
make -f linux.mak MACHINE_TYPE="armv-6" MACHINE_OPT="-D_GLIBCXX_USE_CXX11_ABI=0 -std=gnu++03"

The MACHINE_TYPE just defines the folder name below ...Source/lib/linux where the archives are searched.